/*
  Animatronic bird code
  created 4/17
  by Scott Supeck

*/
#include <Servo.h>
#include <Wtv020sd16p.h>

Servo headservo;
Servo flapservo;
Servo wing1servo;
Servo wing2servo;
Servo pipeservo;
//Servo beakservo;

const int eyesled = 2;    //The pin number of the eyes LEDs.
const int bodyled = 4;    //The pin number of the body LED.

const int d1 = 100;
const int d2 = 300;
const int d3 = 1000;
const int d4 = 4000;
int resetPin = 12;        // The pin number of the reset pin.
int clockPin = 7;        // The pin number of the clock pin.
int dataPin = 8;         // The pin number of the data pin.
int busyPin = 13;         // The pin number of the busy pin.
int pos = 0;
int pos2 = 0;
Wtv020sd16p wtv020sd16p(resetPin, clockPin, dataPin, busyPin);

void setup() {

  Serial.begin(4800);         //Set to 4800 bps for sound card
  wtv020sd16p.reset();        //reset mp3 player
  delay(d3);
  headservo.attach(11);        //The pin number of the headservo.
  flapservo.attach(10);        //The pin number of the flapservo.
  wing1servo.attach(5);        //The pin number of the wingservo.
  wing2servo.attach(6);       //The pin number of the pipe1servo.
  pipeservo.attach(9);       //The pin number of the pipe2servo.
  //beakservo.attach(3);        //The pin number of the beakservo.
  for (int i = 2; i <= 13; i++) {
    pinMode(i, OUTPUT);
  }                           // initialize pins 2-13 as outputs.
  delay(d3);

  headservo.write(90);
  flapservo.write(90);
  wing1servo.write(90);
  wing2servo.write(90);
  pipeservo.write(90);
  //beakservo.write(90);
}

void loop() { 
wingsout();
delay(d3);
wingsin();
delay(d3);
flapin();
delay(3);
flapout();
delay(d3);
}


void highpipe() {
  for (pos = 90; pos <= 140; pos += 1) { // goes from 0 degrees to 180 degrees
    pipeservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(2);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 140; pos >= 90; pos -= 1) { // goes from 180 degrees to 0 degrees
    pipeservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(2);                       // waits 15ms for the servo to reach the position
  }
}

void lowpipe() {
  for (pos = 90; pos >= 40; pos -= 1) { // goes from 0 degrees to 180 degrees
    pipeservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(2);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 40; pos <= 90; pos += 1) { // goes from 180 degrees to 0 degrees
    pipeservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(2);                       // waits 15ms for the servo to reach the position
  }
}
void headleft1() {
  for (pos = 50; pos <= 70; pos += 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headleft2() {
  for (pos = 70; pos <= 90; pos += 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headleft3() {
  for (pos = 90; pos <= 110; pos += 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headleft4() {
  for (pos = 110; pos <= 130; pos += 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headright1() {
  for (pos = 130; pos >= 110; pos -= 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headright2() {
  for (pos = 110; pos >= 90; pos -= 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headright3() {
  for (pos = 90; pos >= 70; pos -= 1) {
    headservo.write(pos);
    delay(5);
  }
}
void headright4() {
  for (pos = 70; pos >= 50; pos -= 1) {
    headservo.write(pos);
    delay(5);
  }
}
void eyeblink() {
  digitalWrite(eyesled, LOW);
  delay(100);
  digitalWrite(eyesled, HIGH);

}
void wingsout() {
  for (pos = 90; pos <= 150; pos += 1) {
    wing1servo.write(pos);
  }
    for (pos2 = 90; pos2 >= 30;pos2 -= 1) {
      wing2servo.write(pos2);
    }
    delay(10);
}
void wingsin() {
  for (pos = 150; pos >= 90; pos -= 1) {
    wing1servo.write(pos);
  }
    for (pos2 = 30; pos2 <= 90;pos2 += 1) {
      wing2servo.write(pos2);
    }
    delay(20);
}
void flapin() {
  for (pos = 90; pos >= 30; pos -= 1) {
    flapservo.write(pos);
    delay(10);
  }
}
void flapout() {
  for (pos = 30; pos <= 90; pos += 1) {
    flapservo.write(pos);
    delay(10);
  }
}
